package controller

import (
	_type "xianyv/type"
	"xianyv/utils/requestUtil"
)

func SelectGoodsListWithTime(list _type.SelectGoodsListWithTime) ([]byte, error) {
	path := "/api/open/product/list"
	response, err := requestUtil.MakeAPIRequest(list.AppId, list.AppSecret, "https://open.goofish.pro", path, list)
	return response, err
}

func SelectGoodsListWithoutTime(list _type.SelectGoodsListWithoutTime) ([]byte, error) {
	path := "/api/open/product/list"
	response, err := requestUtil.MakeAPIRequest(list.AppId, list.AppSecret, "https://open.goofish.pro", path, list)

	return response, err
}
